

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/process.c |    6 +++---
 25-akpm/arch/ia64/kernel/process.c |    1 +
 2 files changed, 4 insertions(+), 3 deletions(-)

diff -puN arch/i386/kernel/process.c~remove-rcu-abuse-in-cpu_idle-warning-fix arch/i386/kernel/process.c
--- 25/arch/i386/kernel/process.c~remove-rcu-abuse-in-cpu_idle-warning-fix	Thu Dec 30 16:45:47 2004
+++ 25-akpm/arch/i386/kernel/process.c	Thu Dec 30 16:45:47 2004
@@ -94,7 +94,7 @@ EXPORT_SYMBOL(enable_hlt);
  */
 void default_idle(void)
 {
-	if (!hlt_counter && current_cpu_data.hlt_works_ok) {
+	if (!hlt_counter && boot_cpu_data.hlt_works_ok) {
 		local_irq_disable();
 		if (!need_resched())
 			safe_halt();
@@ -145,7 +145,7 @@ static void poll_idle (void)
  */
 void cpu_idle (void)
 {
-	int cpu = smp_processor_id();
+	int cpu = _smp_processor_id();
 
 	/* endless idle loop with no priority at all */
 	while (1) {
@@ -160,7 +160,7 @@ void cpu_idle (void)
 			if (!idle)
 				idle = default_idle;
 
-			irq_stat[smp_processor_id()].idle_timestamp = jiffies;
+			irq_stat[cpu].idle_timestamp = jiffies;
 			idle();
 		}
 		schedule();
diff -puN arch/ia64/kernel/process.c~remove-rcu-abuse-in-cpu_idle-warning-fix arch/ia64/kernel/process.c
--- 25/arch/ia64/kernel/process.c~remove-rcu-abuse-in-cpu_idle-warning-fix	Thu Dec 30 16:45:47 2004
+++ 25-akpm/arch/ia64/kernel/process.c	Thu Dec 30 16:45:47 2004
@@ -25,6 +25,7 @@
 #include <linux/unistd.h>
 #include <linux/efi.h>
 #include <linux/interrupt.h>
+#include <linux/delay.h>
 
 #include <asm/cpu.h>
 #include <asm/delay.h>
_
